package com.pharmacopoeia.repository;

import com.pharmacopoeia.entity.User;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

public interface UserRepository extends JpaRepository<User, Long> {
    Optional<User> findByOpenid(String openid);
    boolean existsByOpenid(String openid);
    long count();
}
